#!/bin/bash

LOGFILE=/var/log/logstash-forwarder/logstash-forwarder.stderr
[ $1 ] && { LOGFILE=$1; }  # use alternate logfile

EVENTS=$(tail -n1 $LOGFILE | grep "processing.*events")
IS_PROCESSING=$?
set -e

if [ ${IS_PROCESSING} -eq 0 ]; then
    echo "OK: $EVENTS"
    exit 0
else
    EVENTS=$(tail -n1 $LOGFILE)
    echo "CRITICAL: $EVENTS"
    exit 2
fi
